%define         gitsnap   dev5
%define         rel       1

Name:           phd2
Summary:        A telescope guiding software for amateurs of all experience levels
Version:        2.6.13
#not using subrel here as dev snapshot are counted post-release not pre-release
Release:        %mkrel 1.%{gitsnap}.%{rel}
License:        BSD-like
Group:          Sciences/Astronomy
URL:            http://openphdguiding.org/

Source0:        %{name}-%{version}%{gitsnap}-nopatent.tar.xz
#Remove patented junk in the official source file (from fedora),
#download from https://github.com/OpenPHDGuiding/phd2/archive/release
Source1:        generate-tarball.sh

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  wxgtk-devel
BuildRequires:  nova-devel
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(eigen3)
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(libindi)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  pkgconfig(opencv)

Recommends:     indilib

%description
PHD2 is the second generation of telescope guiding software based on
the Craig Stark's original PHD code. From its inception, it has
successfully embraced seemingly conflicting objectives: ease of use,
sophisticated guiding algorithms, extensive options for tuning, and
broad support for imaging equipment. The original code was
open-sourced in 2013, and since then, it has been completely
overhauled to make it more extensible and supportable. With the
restructuring in place, substantial new features and capabilities have
been added, many of which focus on helping you achieve better guiding
results. Users of PHD2 can be confident it will remain committed to
the three objectives that made the original application so successful.

%prep  
%autosetup -p1 -n %{name}-%{version}%{gitsnap}

%build
%cmake  -DOPENSOURCE_ONLY=ON    \
        -DBUILD_SHARE_LIBS=ON   \
        -DBUILD_STATIC_LIBS=OFF \
        -DUSE_SYSTEM_GTEST=ON   \
        -DUSE_SYSTEM_LIBINDI=ON \
        -DUSE_SYSTEM_LIBUSB=ON  \
        -DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON \
        -DCMAKE_SKIP_RPATH:BOOL=ON \
        -DCMAKE_BUILD_TYPE="Release"

%cmake_build -j1

%install
%cmake_install


%find_lang %{name}


%files -f %{name}.lang
%doc README.txt LICENSE.txt
%{_bindir}/*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/phd2/
%{_datadir}/pixmaps/*



%changelog
* Sun Dec 08 2024 eatdirt <eatdirt> 2.6.13-1.dev5.1.mga10
+ Revision: 2122842
- imported package phd2

